Skip to main content

List configuration overlays

GEThttps://api.eu1.coralogix.com/mgmt/openapi/5/fleet-management/configuration-overlays/v1
Preview

This operation is experimental. It is published and you can call it, but it may change or break, and is not covered by the stable API compatibility guarantee.

Lists configuration overlays, newest first. Archived overlays are excluded unless include_archived is true.

Authorizations

Authorizationstringheaderrequired
API key authentication

Request​

Query Parameters

    include_archived# boolean

    When true, include archived overlays.

    page_size# int32

    Possible values: >= 1 and <= 256

    Maximum number of overlays to return. Defaults to 100 and cannot exceed 256.

    page_token# string

    Possible values: non-empty and <= 64 characters, Value must match regular expression ^[A-Za-z0-9_-]+$

    Opaque token returned by a previous list response.

Response

application/json

Response containing configuration overlays.

    nextPageToken#string

    Token for the next page. Omitted when there are no further results.

    Possible values: non-empty and <= 64 characters, Value must match regular expression ^[A-Za-z0-9_-]+$

    Configuration overlays, newest first.

    Possible values: <= 256